Extending Qt Creator Manual | Core Namespace

Extending Qt Creator Manual 4.8.1

# Core Namespace

The Core namespace contains all classes that make up the Core plugin which constitute the basic functionality of Qt Creator. More...

Header: | #include <Core>

## Namespaces

namespace | AsynchronousMessageBox
namespace | Constants
namespace | FileIconProvider
namespace | HelpManager
namespace | Reaper
namespace | Search
namespace | Tests

## Classes

class | LocatorFilterEntry
class | NavigationView
class | SearchResultItem

## Types

enum | FindFlag { FindBackward, FindCaseSensitively, FindWholeWords, FindRegularExpression, FindPreserveCase }
enum | Side { }

## Functions

int | qHash(int)

## Detailed Description

The Core namespace contains all classes that make up the Core plugin which constitute the basic functionality of Qt Creator.

## Namespaces

### namespace Core::AsynchronousMessageBox

### namespace Core::Constants

### namespace Core::FileIconProvider

### namespace Core::HelpManager

### namespace Core::Reaper

### namespace Core::Search

### namespace Core::Tests

## Classes

### class LocatorFilterEntry

### class NavigationView

The NavigationView class is a C struct for wrapping a widget and a list of tool buttons. Wrapping the widget that is shown in the content area of the navigation widget and a list of tool buttons that is shown in the header above it. More...

### class SearchResultItem

## Type Documentation

### enum Core::FindFlag

### enum Core::Side

## Variable Documentation

## Static Variables

## Function Documentation

### int Core::qHash(int)

## Macro Documentation